import { JsiiProject } from "./jsii-project";
/**
 * (experimental) Options for `JsiiDocgen`.
 *
 * @experimental
 */
export interface JsiiDocgenOptions {
    /**
     * (experimental) File path for generated docs.
     *
     * @default "API.md"
     * @experimental
     */
    readonly filePath?: string;
}
/**
 * (experimental) Creates a markdown file based on the jsii manifest: - Adds a `docgen` script to package.json - Runs `jsii-docgen` after compilation - Enforces that markdown file is checked in.
 *
 * @experimental
 */
export declare class JsiiDocgen {
    /**
     * @experimental
     */
    constructor(project: JsiiProject, options?: JsiiDocgenOptions);
}
